# hardLink_s Struct Reference
[PAYLOAD.]

Keeps track of the set of all hard links to a file in an archive. More...

`#include <fsm.h>`

## Data Fields

hardLink_s * | next
const char ** | nsuffix
int * | filex
stat | sb
int | nlink
int | linksLeft
int | linkIndex
int | createdPath

## Detailed Description

Keeps track of the set of all hard links to a file in an archive.

Definition at line 95 of file fsm.h.

## Field Documentation

struct hardLink_s* hardLink_s::next `[read]`

Definition at line 96 of file fsm.h.

Referenced by freeFSM(), fsmCommitLinks(), fsmStage(), and saveHardLink().

const char** hardLink_s::nsuffix

Definition at line 97 of file fsm.h.

Referenced by freeHardLink(), and saveHardLink().

int* hardLink_s::filex

Definition at line 98 of file fsm.h.

Referenced by freeHardLink(), fsmCommitLinks(), fsmMakeLinks(), fsmStage(), saveHardLink(), and writeLinkedFile().

struct stat hardLink_s::sb `[read]`

Definition at line 99 of file fsm.h.

Referenced by fsmCommitLinks(), fsmStage(), and saveHardLink().

int hardLink_s::nlink

Definition at line 100 of file fsm.h.

Referenced by fsmCommitLinks(), fsmMakeLinks(), fsmStage(), saveHardLink(), and writeLinkedFile().

int hardLink_s::linksLeft

Definition at line 101 of file fsm.h.

Referenced by fsmMakeLinks(), fsmStage(), and saveHardLink().

int hardLink_s::linkIndex

Definition at line 102 of file fsm.h.

Referenced by fsmStage(), and saveHardLink().

int hardLink_s::createdPath

Definition at line 103 of file fsm.h.

Referenced by fsmMakeLinks(), fsmStage(), and saveHardLink().

The documentation for this struct was generated from the following file:

- lib/fsm.h